<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'ExecuteQuery' => '\\StructType\\ExecuteQuery',
            'ExecuteQueryResponse' => '\\StructType\\ExecuteQueryResponse',
            'GetFilterAsHtml' => '\\StructType\\GetFilterAsHtml',
            'GetFilterAsHtmlResponse' => '\\StructType\\GetFilterAsHtmlResponse',
            'GetFilterAsXml' => '\\StructType\\GetFilterAsXml',
            'GetFilterAsXmlResponse' => '\\StructType\\GetFilterAsXmlResponse',
            'CalcImageScale' => '\\StructType\\CalcImageScale',
            'ArrayOfGuid' => '\\ArrayType\\ArrayOfGuid',
            'CalcImageScaleResponse' => '\\StructType\\CalcImageScaleResponse',
            'FilterValuesToUrlQueryPart' => '\\StructType\\FilterValuesToUrlQueryPart',
            'FilterValuesToUrlQueryPartResponse' => '\\StructType\\FilterValuesToUrlQueryPartResponse',
            'XmlSubmitToUrlQueryPart' => '\\StructType\\XmlSubmitToUrlQueryPart',
            'XmlSubmitToUrlQueryPartResponse' => '\\StructType\\XmlSubmitToUrlQueryPartResponse',
            'ShortFormToXmlWhereClause' => '\\StructType\\ShortFormToXmlWhereClause',
            'ShortFormToXmlWhereClauseResponse' => '\\StructType\\ShortFormToXmlWhereClauseResponse',
            'GetLanguages' => '\\StructType\\GetLanguages',
            'GetLanguagesResponse' => '\\StructType\\GetLanguagesResponse',
            'GetSelectableFeatures' => '\\StructType\\GetSelectableFeatures',
            'GetSelectableFeaturesResponse' => '\\StructType\\GetSelectableFeaturesResponse',
            'GetTypesUsedBy' => '\\StructType\\GetTypesUsedBy',
            'ArrayOfInt' => '\\ArrayType\\ArrayOfInt',
            'GetTypesUsedByResponse' => '\\StructType\\GetTypesUsedByResponse',
        );
    }
}
