<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XmlSubmitToUrlQueryPart StructType
 * @subpackage Structs
 */
class XmlSubmitToUrlQueryPart extends AbstractStructBase
{
    /**
     * The xmlSubmit
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $xmlSubmit;
    /**
     * Constructor method for XmlSubmitToUrlQueryPart
     * @uses XmlSubmitToUrlQueryPart::setXmlSubmit()
     * @param string $xmlSubmit
     */
    public function __construct($xmlSubmit = null)
    {
        $this
            ->setXmlSubmit($xmlSubmit);
    }
    /**
     * Get xmlSubmit value
     * @return string|null
     */
    public function getXmlSubmit()
    {
        return $this->xmlSubmit;
    }
    /**
     * Set xmlSubmit value
     * @param string $xmlSubmit
     * @return \StructType\XmlSubmitToUrlQueryPart
     */
    public function setXmlSubmit($xmlSubmit = null)
    {
        // validation for constraint: string
        if (!is_null($xmlSubmit) && !is_string($xmlSubmit)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($xmlSubmit, true), gettype($xmlSubmit)), __LINE__);
        }
        $this->xmlSubmit = $xmlSubmit;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\XmlSubmitToUrlQueryPart
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
